GISportal
Jedeme i díky Vám

Quantum GIS 1.8.0 Lisboa je k dispozici uživatelům

Asi před rokem jsme psali o vydání nové verze známého Open Source programu Quantum GIS (QGIS). Nyní byla představena nové verze 1.8.0, která přínáší mnoho novinek a vylepšení.

Mezi hlavní novinky verze, která nese pojmenování po portugalské metropoli, patří:

  • QGIS Browser – samostatná část, která uživatelům umožňuje navigaci v souborovém systému, připojování databází a to na proncipu drag&drop.
  • DB Manager – správce databází je nyní přímou součástí Quantum GISu
  • Nová symbologie – především výplně polygonů
  • Nový plugin na tvorbu a práci s reliéfem

a mnoho dalších.

Kompletní seznam veškerých vylepšení naleznete na stránkách projektu.

12 komentářů
  1. zimmi napsal/a

    Bohužel stále neobsahuje definici zobrazení Křovák S-JTSK, což je pro české uživatele dost zásadní omezení.

    1. Marty napsal/a

      Stačí editovat databázi srs.db a upravit soubor dle stránek a href=”http://trac.osgeo.org/qgis/ticket/728″
      Můžu také onen zeditovaný soubor někam uploadnout..

  2. Premysl napsal/a

    Dalším problémem je diakritika pod Win. Předchozí verze byla ještě v pořádku u nové verze se nezobrazují korektně české znaky.
    S-JTSK lze dodatečně upravit, domnívám se ale, že vzhledem k velkému množství uživatelů různé úrovně by bylo žádoucí vrátit S-JTSK do programu tak, jak původně fungovalo.

    1. Honza Martínek napsal/a

      co se týče diakritiky, zkuste mrknout na ruský projekt NextGIS. Jedná se o stejný produkt jako QGIS pouze s tím rozdílem, že je mnohem častěji aktualizován (jedná se de facto o vývojářskou verzi QGISu). V současnosti NextGIS odpovídá verzi QGISu 1.9.0-Master. Myslím, že zde brzy doplní i EPSG:102067

      blíže viz: http://nextgis.ru/en/nextgis-qgis/

    2. Martin napsal/a

      Zdravim,
      uz niekto vyriesil ten problem s diakritikou QGIS vo verzii 1.8.0? Ak ano, mohol by poradit, ako na to? Alebo mi nezostava nic ine a cakat na novsiu verziu alebo skusit NextGIS, ako pise pan Honza Martinek??
      Za odpoved vdaka.

      1. Attila Tóth napsal/a

        Slovenská diakritika je problém knižnice QT, Qgis je v tom nevinne. Ide o problém v každej linuxovej distribúcií a je nutné momentálne využívať plnú českú jazykovú lokalizáciu namiesto slovenskej.

  3. Martin napsal/a

    JTSK: Podle předběžné zkoušky stačí přepsat soubor “srs.db” souborem z verze 1.7.3. To znamená odinstalova QGIS 1.8 a naistalovat 1.7.3 (nebo na jiný počítač) zkopírovat soubor srs.db a znova naistalovat 1.8.

    NEBO editovat soubor “srs.db” na konzoli příkazem “sqlite3 srs.db” (musí být tento příkaz doinstalován):

    schema tabulky tbl_srs:

    CREATE TABLE tbl_srs (
    srs_id INTEGER PRIMARY KEY,
    description text NOT NULL,
    projection_acronym text NOT NULL,
    ellipsoid_acronym NOT NULL,
    parameters text NOT NULL,
    srid integer NOT NULL,
    auth_name varchar NOT NULL,
    auth_id varchar NOT NULL,
    is_geo integer NOT NULL
    , deprecated boolean);

    sqlite> select * from tbl_srs where auth_id=’102067′;

    3639|S-JTSK (Greenwich) / Krovak|krovak|bessel|+proj=krovak +lat_0=49.5
    +lon_0=24.83333333333333 +alpha=30.28813972222222 +k=0.9999 +x_0=0 +y_0=0
    +ellps=bessel +pm=greenwich +units=m +no_defs|102067|EPSG|102067|0|0

    Zdar
    M.

  4. Martin napsal/a

    P.S.
    soubor “srs.db” z verze 1.7.3-00624b3
    je zde: http://www.uloz.to/xegqcHS/srs-db-ogis-1-7-3-00624b3-rar

    Zdar
    M.

  5. hanoj napsal/a

    102067 snad již fixed
    http://hub.qgis.org/issues/4945

  6. igra napsal/a

    Zdravim,
    mam taky problem. Ked vytvorim shapefile v QGISe v s-jtsk a chcem ho neskor otvorit v ArcGISe (9.3.1) vypisuje hlasku: “Warning, inconsistent extent!” a chce ho transformovat, co sa mu ocividne nepodari. Opacne to problem nerobi, teda vytvorene v ArcGISe a otvarane v QGISe.
    Dakujem za tipy.

    ig

    1. redakce napsal/a

      Zkuste to u někoho otevřít v ArcGIS 10 a zkontrolovat zda je to opravdu v S-JTSK…kdyžtak pošlete shp na redakce@gisportal.cz

  7. rosta netek napsal/a

    pouzivejte gvSIG a mate po starostech.-) btw. EPSG:102067 neni oficialni a prestava byt podporovan, misto nej je pro krovaka east north nove EPSG:5514

Podělte se s Vaším komentářem

Emailová adresa nebude zveřejněna